Subject: Ticket Assigned - Click & Collect
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Sun, 12 Feb 2023 09:42:07 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect I ordered online and select click and collect since it give me preferable date. I waited for message of collection and did not come and when I call the call center they said it will be the next day and I did not have idea about this
They promised to make the order shipped quickly and told me to wait, I called again afternoon and order status still not yet shipped and I asked for cancellation since I will not be available at same destination and they confirmed that they will do cancellation
On 2nd day I received message of collection and I was very upset since I asked to cancel the order and when I contacted the call center they said I need to wait first for 14 days and they 6-14 days which is about month till my refund will happen 

This is unacceptable and unprofessional way of dealing with customers. I need my order to be canceled now and refund process to start immediately 

Waiting for your response https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5699520